[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring the BFD Protocol for PIM

The ipv6 pim bfd-liveness-detection command configures the Bidirectional Forwarding Detection (BFD) protocol for PIM. The BFD protocol uses control packets and shorter detection time limits to more rapidly detect failures in a network. Also, because they are adjustable, you can modify the BFD timers for more or less aggressive failure detection.

PIM routers send periodic hello messages from each PIM-enabled interface. You can configure this interval using the ipv6 pim query-interval command. By default, the PIM router sends a hello message every 30 seconds (with an interval range of 0–210 seconds). If it receives no response from a neighbor within 3.5 times the interval value (a minimum of 3.5 seconds), the PIM router drops the neighbor.

In contrast, when a BFD session exists between neighbors, a PIM neighbor that goes down is detected quickly (in milliseconds rather than in seconds).

When you issue the ipv6 pim bfd-liveness-detection command on a PIM router, the router establishes BFD liveness detection with all BFD-enabled PIM neighbors. When the local router receives an update from a remote PIM neighbor—if BFD is enabled and if the session is not already present—the local router attempts to create a BFD session to the remote neighbor.

Each adjacent pair of neighbors negotiates an acceptable transmit interval for BFD packets. The negotiated value can be different on each neighbor. Each neighbor then calculates a BFD liveness detection interval. When a neighbor does not receive a BFD packet within the detection interval, it declares the BFD session to be down.

| Note: Before the router can use the ipv6 pim bfd-liveness-detection command, you must specify a BFD license key. To view an already configured license, use the show license bfd command.

For general information about configuring and monitoring the BFD protocol, see Configuring BFD in the JUNOSe IP Services Configuration Guide.

ipv6 pim bfd-liveness-detection

- Use to enable BFD (bidirectional forwarding detection) and define BFD values to more quickly detect PIM data path failures.
- The neighbors in a PIM network use the configured values to negotiate the actual transmit intervals for BFD packets.
  - You can use the minimum-transmit-interval keyword to specify the interval at which the local router proposes to transmit BFD control packets to its neighbors. The default value is 300 milliseconds.
  - You can use the minimum-receive-interval keyword to specify the minimum interval at which the local router must receive BFD control packets from its neighbors. The default value is 300 milliseconds.
  - You can use the minimum-interval keyword to specify the same value for both of those intervals. Configuring a minimum interval has the same effect as configuring the minimum receive interval and the minimum transmit interval to the same value. The default value is 300 milliseconds.
- You can use the multiplier keyword to specify the detection multiplier value. The calculated BFD liveness detection interval can be different on each neighbor. The multiplier value is roughly equivalent to the number of packets that can be missed before the BFD session is declared to be down. The default value is 3.
- For details on liveness detection negotiation, see Negotiation of the BFD Liveness Detection Interval in the JUNOSe IP Services Configuration Guide.
- You can change the BFD liveness detection parameters at any time without stopping or restarting the existing session; BFD automatically adjusts to the new parameter value. However, no changes to BFD parameters take place until the values resynchronize with each neighbor.
- Example
  `
  host1(configif)#ipv6 pim bfd-liveness-detection minimum-interval 800
  `
- Use the no version to disable BFD on the PIM interface.
- See ipv6 pim bfd-liveness-detection.

[Contents] [Prev] [Next] [Index] [Report an Error]